Unable to build Active MQ 5.9

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Unable to build Active MQ 5.9

CuriousMind
I am trying to build Active MQ 5.9
it is running the test for the longest time. I tried to skip the test by running the command
"mvn clean install  -Dmaven.test.skip=true", but it didnt work

what is the right command?

thanks!

M
Reply | Threaded
Open this post in threaded view
|

Re: Unable to build Active MQ 5.9

CuriousMind
Actually, I tried "mvn clean install -Dmaven.test.skip.exec" , in hope to skip the running-foreever testing part, but then I ran into a new problem

INFO] Final Memory: 112M/809M
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-shade-plugin:2.0:shade (default) on project activemq-all: Execution default of goal org.apache.maven.plugins:maven-shade-plugin:2.0:shade failed: A required class was missing while executing org.apache.maven.plugins:maven-shade-plugin:2.0:shade: org/sonatype/aether/version/VersionConstraint


what do I miss....how do I get it?
Reply | Threaded
Open this post in threaded view
|

Re: Unable to build Active MQ 5.9

zmhassan
try:

mvn clean install -Dtest=0


On Tue, Mar 4, 2014 at 5:56 PM, CuriousMind <[hidden email]> wrote:

> Actually, I tried "mvn clean install -Dmaven.test.skip.exec" , in hope to
> skip the running-foreever testing part, but then I ran into a new problem
>
> INFO] Final Memory: 112M/809M
> [INFO]
> ------------------------------------------------------------------------
> [ERROR] Failed to execute goal
> org.apache.maven.plugins:maven-shade-plugin:2.0:shade (default) on project
> activemq-all: Execution default of goal
> org.apache.maven.plugins:maven-shade-plugin:2.0:shade failed: A required
> class was missing while executing
> org.apache.maven.plugins:maven-shade-plugin:2.0:shade:
> org/sonatype/aether/version/VersionConstraint
>
>
> what do I miss....how do I get it?
>
>
>
> --
> View this message in context:
> http://activemq.2283324.n4.nabble.com/Unable-to-build-Active-MQ-5-9-tp4678525p4678527.html
> Sent from the ActiveMQ - Dev mailing list archive at Nabble.com.
>
Reply | Threaded
Open this post in threaded view
|

Re: Unable to build Active MQ 5.9

Hadrian Zbarcea
Yes, that works. Your command should have worked too:
mvn clean install -Dmaven.test.skip.exec=true

Also make sure that you set maven option properly, for instance
export MAVEN_OPTS="-Xmx2048m -Xms1024m -XX:MaxPermSize=512m -XX:-
UseGCOverheadLimit"

Good luck,
Hadrian

On Tuesday 04 March 2014 21:29:46 Zakeria Hassan wrote:

> try:
>
> mvn clean install -Dtest=0
>
> On Tue, Mar 4, 2014 at 5:56 PM, CuriousMind <[hidden email]> wrote:
> > Actually, I tried "mvn clean install -Dmaven.test.skip.exec" , in hope to
> > skip the running-foreever testing part, but then I ran into a new problem
> >
> > INFO] Final Memory: 112M/809M
> > [INFO]
> > ------------------------------------------------------------------------
> > [ERROR] Failed to execute goal
> > org.apache.maven.plugins:maven-shade-plugin:2.0:shade (default) on
> > project activemq-all: Execution default of goal
> > org.apache.maven.plugins:maven-shade-plugin:2.0:shade failed: A required
> > class was missing while executing
> > org.apache.maven.plugins:maven-shade-plugin:2.0:shade:
> > org/sonatype/aether/version/VersionConstraint
> >
> >
> > what do I miss....how do I get it?
> >
> >
> >
> > --
> > View this message in context:
> > http://activemq.2283324.n4.nabble.com/Unable-to-build-Active-MQ-5-9-tp467
> >8525p4678527.html Sent from the ActiveMQ - Dev mailing list archive at
> > Nabble.com.
>